# Class: WordImmutable

Defined in: | lib/Types/TextTypes.coffee
Inherits: | types.Insert

## Instance Method Summary

- # (String) val()
- # (void) toJson()

## Constructor Details

# (void) constructor(uid, content = "", prev, next, origin)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.
- content ( `String` )

## Instance Method Details

# (String) val()

### Returns:

- ( `String` ) — The content of this operation.

# (void) toJson()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input